use crate::error::AdventError;

pub trait AdventDay {
    fn new() -> Self;

    fn read_input(&mut self) -> Result<(),AdventError>;
    fn puzzle1(&mut self) -> Result<u64, AdventError>;
    fn puzzle2(&mut self) -> Result<u64, AdventError>;
}

pub mod day1;